## Environment

Here are the versions of packages we use for the implementation of experiments.


|Library         | Version |
|----------------------|----|
|`Python`|  `3.7.7`|
|`pytorch`|  `1.7.1`|
|`torchvision`|  `0.8.2`|
|`numpy`|  `1.20.3`|
|`tqdm`| `4.62.2`|

## Run the main One-Pixel Shortcut training and evaluation script
Here is the command to train a ResNet-18 on OPS data. 
```console
python main.py \
--data_path=location of your dataset \
--save_path=saving location and name of this experiment \
--pert=OPS \
--model=RN18 \
--data_aug=Standard \
--sparsity=1 \
--at_pgd_step=0 \
```

Due to the limitation of file size, we are not able to include our pre-generated EM noise here. Please see https://github.com/HanxunH/Unlearnable-Examples for details of EM noise generation.
